@CHARSET "ISO-8859-1";

/* OpenHierarchy standard CSS classes */

/* Backgrounds */
.background{background-color: #cedbf9;}
.lightbackground{background-color: #e0e8fa;}
.hover:hover{background-color: #d3dff8;}

/* Widths */
.ten{width: 10%;}
.twenty{width: 20%;}
.twentyfive{width: 25%;}
.thirty{width: 30%;}
.thirtytree{width: 33.33%;}
.thirtyfive{width: 35%;}
.forty{width: 40%;}
.fortyfive{width: 45%;}
.fifty{width: 50%;}
.sixty{width: 60%;}
.seventy{width: 70%;}
.eighty{width: 80%;}
.ninety{width: 90%;}
.half{width: 50%;}/*legacy*/
.full {width: 100%;}
.width-auto{width: auto;};

.min-width-ten { min-width: 10%; }
.min-width-twenty { min-width: 20%; }
.min-width-twentyfive { min-width: 25%; }
.min-width-thirty { min-width: 30%; }
.min-width-thirtytree { min-width: 33.33%; }
.min-width-forty { min-width: 40%; }
.min-width-half { min-width: 50%; }
.min-width-fifty { min-width: 50%; }
.min-width-sixty { min-width: 60%; }
.min-width-seventy { min-width: 70%; }
.min-width-eighty { min-width: 80%; }
.min-width-ninety { min-width: 90%; }

/* Margin classes */
.nomargin { margin: 0; }
.margin{ margin:5px;}
.margintop{margin-top: 5px;}
.marginbottom{margin-bottom: 5px;}
.marginright{margin-right: 5px;}
.marginleft{margin-left: 5px;}
.bigmargin{ margin:10px;}
.bigmargintop{margin-top: 10px;}
.bigmarginbottom{margin-bottom: 10px;}
.bigmarginleft{margin-left: 10px;}
.bigmarginright{margin-right: 10px;}
.margin-auto{margin: 0 auto;}

/* Padding classes */
.nopadding, table.nopadding, table.nopaddings, table.nopaddings th, table.nopaddings tr, table.nopaddings td { padding: 0 !important; }
.padding { padding: 5px; }
.paddingtop { padding-top: 5px; }
.paddingbottom { padding-bottom: 5px; }
.paddingright { padding-right: 5px; }
.paddingleft { padding-left: 5px; }
.bigpadding { padding: 10px; }
.bigpaddingtop { padding-top: 10px; }
.bigpaddingbottom { padding-bottom: 10px; }
.bigpaddingright { padding-right: 10px; }
.bigpaddingleft { padding-left: 10px; }

/* Border classes */
.border {border:1px solid #DDDDDD;}
.bordertop { border-top: 1px solid #DDDDDD; }
.borderbottom { border-bottom: 1px solid #DDDDDD; }
.borderright { border-right: 1px solid #DDDDDD; }
.borderleft { border-left: 1px solid #DDDDDD; }
.border-radius-small {border-radius: 5px;}
.border-radius-medium {border-radius: 10px;}
.border-radius-large {border-radius: 25px;}

/* Textarea classes */
textarea.small{display: block; height: 45px; margin: 0 auto;width:99%;}
textarea.medium{display: block; height: 90px;}
textarea.large{display: block; height: 180px;}

/* Table classes */
table.border {border-collapse: collapse; }
table.border td {border:1px solid #DDDDDD;}

/* Float classes */
.floatright{float:right;}
.floatleft{float:left;}
.clearboth {clear: both;}
.clearleft {clear: left;}
.clearright {clear: right;}
.clearfix::after { display: block; content: ""; clear: both; }

/* Div classes */
div.scrolllist { overflow-x:hidden; overflow-y:scroll; height: 120px; padding-right: 3px;padding-right: 20px; }
.display-inline-block { display: inline-block; zoom: 1; *display: inline; }
.display-inline { display: inline; }
.display-block { display: block; }

/* Image classes */
img{border:0; margin:0; padding:0;}
img.alignbottom { vertical-align: bottom; }
img.alignmiddle { vertical-align: middle; }
img.aligntop { vertical-align: top; }

/* Paragraph classes */
p.success { color: green; }


/* Text classes */
.text-align-right{text-align: right;}
.text-align-left{text-align: left;}
.text-align-center{text-align: center;}
.text-align-justify{text-align: justify;}
.text-align-inherit{text-align: inherit;}
.font-weight-bold{font-weight: bold;}
.bold{font-weight: bold}
.italic{font-style: italic;}
.required{color: #ec0000;}
.error{color: #ec0000;}
.disabledtext{color: gray;}
.tiny{font-size:80%; margin: 0px; padding: 0px;}

/* Vertical align classes */
.vertical-align-middle { vertical-align: middle; }
.vertical-align-top { vertical-align: top; }
.vertical-align-bottom { vertical-align: bottom; }

/* Misc classes */
.visibility-hidden { visibility: hidden; }
.hidden { display: none; }
.pointer { cursor: pointer; }
.cursor-move { cursor: move; }

ul.list-style-type-none{
	list-style-type: none !important;
	margin: 0px !important;
	padding: 0px !important;
}

.border-box{
	box-sizing: border-box;
}

.word-wrap-break{
	word-wrap: break-word;
}
.word-break-all{
	word-break: break-all;
}

.nowrap {white-space: nowrap;}

/* Opacity classes */
.opacity-ten{opacity: 0.1;}
.opacity-twenty{opacity: 0.2;}
.opacity-thirty{opacity: 0.3;}
.opacity-forty{opacity: 0.4;}
.opacity-fifty{opacity: 0.5;}
.opacity-sixty{opacity: 0.6;}
.opacity-seventy{opacity: 0.7;}
.opacity-eighty{opacity: 0.8;}
.opacity-ninety{opacity: 0.9;}

/* Flexbox */
.d-flex {
	display: -ms-flexbox !important;
	display: flex !important;
}
.ml-auto { margin-left: auto !important; }

.align-items-center {
-ms-flex-align: center !important;
align-items: center !important;
}

.align-items-end {
-ms-flex-align: end !important;
align-items: end !important;
}

.flex-1 {
	-ms-flex: 1;
	flex: 1;
}

.flex-grow-0 {
	-ms-flex-positive: 0 !important;
	flex-grow: 0 !important;
}

.flex-grow-1 {
	-ms-flex-positive: 1 !important;
	flex-grow: 1 !important;
}

.flex-shrink-0 {
	-ms-flex-negative: 0 !important;
	flex-shrink: 0 !important;
}

.flex-shrink-1 {
	-ms-flex-negative: 1 !important;
	flex-shrink: 1 !important;
}

.justify-content-end{
	justify-content: end;
}

.justify-content-between{
	justify-content: space-between;
}

.flex-column {
	flex-direction: column;
}

/*.flex-direction-column{flex-direction: column;}*/
/*.flex-flow-column-wrap{flex-flow: column wrap;}*/
/*.align-content-flex-end{align-content: flex-end}*/
